Visualizzatore Assembly Cache

Guida per gli sviluppatori di .NET Framework
Visualizzatore Assembly Cache
DropDown image

Il Visualizzatore Assembly Cache è un'estensione shell di Windows che consente di visualizzare e modificare il contenuto della Global Assembly Cache mediante Esplora risorse.

Utilizzo dello strumento Visualizzatore Assembly Cache

Il Visualizzatore Assembly Cache consente di:

  • Visualizzare il contenuto della cache

  • Visualizzare e modificare i limiti di dimensione della cache per il download

  • Visualizzare le proprietà di un singolo assembly

  • Aggiungere assembly alla cache

  • Eliminare assembly dalla cache

  • Visualizzare le informazioni della Guida in linea

Per visualizzare il contenuto della cache dell'assembly

  • In Esplora risorse passare alla sottodirectory \assembly della directory di Windows, <Unità di sistema>:\<Cartella Windows>\assembly. Viene visualizzato il contenuto della Global Assembly Cache.

    In Shfusion.dll il contenuto della cartella dell'assembly verrà visualizzato in modo diverso rispetto alle normali cartelle di Windows. I nomi degli assembly installati nella Global Assembly Cache vengono visualizzati insieme ai dettagli relativi a tipo, versione, lingua e token della chiave pubblica di ciascun assembly.

    Shfusion.dll si trova nella cartella %windir%\Microsoft.NET\Framework\vx.x.xxxx, dove vx.x.xxxx è la versione installata più recente di .NET Framework. Se ad esempio se sono installate le versioni v1.1.4322 e v1.0.5000, viene utilizzato v1.1.4322.

Nella schermata che segue è raffigurato il contenuto della cache dell'assembly mostrato nel visualizzatore.

Contenuto della Global Assembly Cache

Per visualizzare e modificare i limiti di dimensione della cache per il download

  • Scegliere Configura impostazioni cache dal menu Strumenti per i sistemi Windows NT o dal menu Visualizza per i sistemi Windows 98. In alternativa è possibile utilizzare l'icona Configura impostazioni cache sulla barra degli strumenti.

    Verrà visualizzata la finestra di dialogo Proprietà - Cache. Questa schermata ricorda la finestra di dialogo tradizionale delle proprietà delle unità disco, con la differenza che mostra la quantità di spazio della cache utilizzato in megabyte.

Nella schermata che segue è raffigurata la finestra di dialogo Proprietà - Cache.

Finestra di dialogo Proprietà - Cache

Per visualizzare le proprietà di un assembly

  • Fare clic con il pulsante destro del mouse sul nome dell'assembly nel visualizzatore e scegliere Proprietà dal menu di scelta rapida.

    Verrà visualizzata una finestra delle proprietà in cui è riportato il nome, la versione, la lingua e la chiave pubblica dell'assembly, nonché la data dell'ultima modifica e la base di codici da cui esso deriva. Per visualizzare le proprietà di un assembly è anche possibile utilizzare il menu File.

Nella schermata che segue è raffigurata la finestra Proprietà dell'assembly System.Data.

Finestra Proprietà - Assembly

Per aggiungere un assembly alla cache

  • Utilizzare Esplora risorse per trascinare il file contenente il manifesto e rilasciarlo nella directory della cache dell'assembly. È possibile aggiungere alla cache solo gli assembly con nomi sicuri.

Se è installato .NET Framework SDK, è possibile utilizzare lo strumento Global Assembly Cache (Gacutil.exe) per aggiungere assembly alla cache.

Per eliminare un assembly dalla cache

  • Fare clic con il pulsante destro del mouse sull'assembly nel visualizzatore e scegliere Elimina dal menu di scelta rapida.

Per eliminare un assembly è anche possibile utilizzare il menu File o Gacutil.exe se è installato .NET Framework SDK.

Per visualizzare la Guida in linea del visualizzatore

  • Scegliere Guida in linea dal menu ? o premere F1.

Per inviare suggerimenti o segnalare errori relativi alla Guida o a un'altra funzionalità del prodotto, visitare il sito per l'invio di suggerimenti.


shfusionhxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}
DropDown image

shfusionhxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

Rappresentazione grafica degli argomenti relativi al debug dell'indice e alla ricerca full-text
Per inviare suggerimenti o segnalare errori relativi alla Guida o a un'altra funzionalità del prodotto, visitare il sito per l'invio di suggerimenti.